All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::spai::CompareSecond Struct Reference

Helper functor for comparing std::pair<> based on the second member. More...

`#include <spai-dynamic.hpp>`

## Public Member Functions

template<typename T1 , typename T2 >
bool | operator() (std::pair< T1, T2 > const &left, std::pair< T1, T2 > const &right)

## Detailed Description

Helper functor for comparing std::pair<> based on the second member.

Definition at line 77 of file spai-dynamic.hpp.

## Member Function Documentation

template<typename T1 , typename T2 >

bool viennacl::linalg::detail::spai::CompareSecond::operator() | ( | std::pair< T1, T2 > const & | left,
|  | std::pair< T1, T2 > const & | right
| ) |  |

inline

Definition at line 80 of file spai-dynamic.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/detail/spai/spai-dynamic.hpp